## org.eclipse.datatools.modelbase.sql.schema
Interface Schema

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  SchemaImpl

public interface Schema
extends SQLObject

A representation of the model object 'Schema'. 4.20 SQL-schemas An SQL-schema is a persistent descriptor that includes: - The name of the SQL-schema. - The <authorization identifier> of the owner of the SQL-schema. - The name of the default character set for the SQL-schema. - The <schema path specification> defining the SQL-path for SQL-invoked routines for the SQL-schema. - The descriptor of every component of the SQL-schema. In this part of ISO/IEC 9075, the term "schema" is used only in the sense of SQL-schema. The persistent objects described by the descriptors are said to be owned by or to have been created by the <authorization identifier> of the schema. Each component descriptor is one of: - A domain descriptor. - A base table descriptor. - A view descriptor. - A constraint descriptor. - A privilege descriptor. - A character set descriptor. - A collation descriptor. - A transliteration descriptor. - A user-defined type descriptor. - A routine descriptor. - A sequence generator descriptor. A schema is created initially using a <schema definition> and may be subsequently modified incrementally over time by the execution of <SQL schema statement> s. <schema name> s are unique within a catalog. A <schema name> is explicitly or implicitly qualified by a <catalog name> that identifies a catalog. Base tables and views are identified by

s. A

consists of a <schema name> and an <identifier> . The <schema name> identifies the schema in which a persistent base table or view identified by the

is defined. Base tables and views defined in different schemas can have <identifier> s that are equal according to the General Rules of Subclause 8.2, "<comparison predicate> ". If a reference to a

does not explicitly contain a <schema name> , then a specific <schema name> is implied. The particular <schema name> associated with such a

depends on the context in which the

appears and is governed by the rules for <schema qualified name>. If a reference to an SQL-invoked routine that is contained in a <routine invocation> does not explicitly contain a <schema name> , then the SQL-invoked routine is selected from the SQL-path of the schema. The containing schema of an <SQL schema statement> is defined as the schema identified by the <schema name> implicitly or explicitly contained in the name of the object that is created or manipulated by that SQLstatement.

The following features are supported:

- `Triggers`
- `Indices`
- `Tables`
- `Sequences`
- `Database`
- `Assertions`
- `User Defined Types`
- `Char Sets`
- `Routines`
- `Owner`

See Also:
  `SQLSchemaPackage.getSchema()`

Method Summary
`EList` `getAssertions()` Returns the value of the 'Assertions' reference list.
`EList` `getBuiltInFunctions()` Get a list of built-in (aka system) functions belonging to this schema.
`EList` `getCharSets()` Returns the value of the 'Char Sets' reference list.
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`EList` `getIndices()` Returns the value of the 'Indices' reference list.
`AuthorizationIdentifier` `getOwner()` Returns the value of the 'Owner' reference.
`EList` `getProcedures()` Get a list of procedures belonging to this schema.
`EList` `getRoutines()` Returns the value of the 'Routines' reference list.
`EList` `getSequences()` Returns the value of the 'Sequences' reference list.
`EList` `getTables()` Returns the value of the 'Tables' reference list.
`EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`EList` `getUDFs()` Get a list of user-defined functions belonging to this schema.
`EList` `getUserDefinedTypes()` Returns the value of the 'User Defined Types' reference list.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.
`void` `setOwner(AuthorizationIdentifier value)` Sets the value of the '`Owner`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTriggers

    public EList getTriggers()

  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Triggers()`, `Trigger.getSchema()`

### getIndices

    public EList getIndices()

  Returns the value of the 'Indices' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Indices' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Indices' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Indices()`, `Index.getSchema()`

### getTables

    public EList getTables()

  Returns the value of the 'Tables' reference list. The list contents are of type `Table`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Tables' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tables' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Tables()`, `Table.getSchema()`

### getSequences

    public EList getSequences()

  Returns the value of the 'Sequences' reference list. The list contents are of type `Sequence`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Sequences' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequences' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Sequences()`, `Sequence.getSchema()`

### getDatabase

    public Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Schemas`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLSchemaPackage.getSchema_Database()`, `Database.getSchemas()`

### setDatabase

    public void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

### getAssertions

    public EList getAssertions()

  Returns the value of the 'Assertions' reference list. The list contents are of type `Assertion`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Assertions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assertions' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Assertions()`, `Assertion.getSchema()`

### getUserDefinedTypes

    public EList getUserDefinedTypes()

  Returns the value of the 'User Defined Types' reference list. The list contents are of type `UserDefinedType`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'User Defined Types' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Defined Types' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_UserDefinedTypes()`, `UserDefinedType.getSchema()`

### getCharSets

    public EList getCharSets()

  Returns the value of the 'Char Sets' reference list. The list contents are of type `CharacterSet`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Char Sets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Char Sets' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_CharSets()`, `CharacterSet.getSchema()`

### getRoutines

    public EList getRoutines()

  Returns the value of the 'Routines' reference list. The list contents are of type `Routine`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Routines' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Routines' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Routines()`, `Routine.getSchema()`

### getProcedures

    public EList getProcedures()

  Get a list of procedures belonging to this schema.

  Returns:
    the procedures contained within the schema. If there are none, then an empty list is returned.

### getUDFs

    public EList getUDFs()

  Get a list of user-defined functions belonging to this schema.

  Returns:
    the user-defined functions contained within the schema. If there are none, then an empty list is returned.

### getBuiltInFunctions

    public EList getBuiltInFunctions()

  Get a list of built-in (aka system) functions belonging to this schema.

  Returns:
    the built-in functions contained within the schema. If there are none, then an empty list is returned.

### getOwner

    public AuthorizationIdentifier getOwner()

  Returns the value of the 'Owner' reference. It is bidirectional and its opposite is '`Owned Schema`'.

  If the meaning of the 'Owner' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' reference.
  See Also:
    `setOwner(AuthorizationIdentifier)`, `SQLSchemaPackage.getSchema_Owner()`, `AuthorizationIdentifier.getOwnedSchema()`

### setOwner

    public void setOwner(AuthorizationIdentifier value)

  Sets the value of the '`Owner`' reference.

  Parameters:
    `value` - the new value of the 'Owner' reference.
  See Also:
    `getOwner()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.